Package org.opencv.core

## Class Scalar

- java.lang.Object
- - org.opencv.core.Scalar

-     public class Scalar
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `double[]` | `val` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Scalar​(double v0)` |
    `Scalar​(double[] vals)` |
    `Scalar​(double v0, double v1)` |
    `Scalar​(double v0, double v1, double v2)` |
    `Scalar​(double v0, double v1, double v2, double v3)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Scalar` | `all​(double v)` |
    `Scalar` | `clone()` |
    `Scalar` | `conj()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `int` | `hashCode()` |
    `boolean` | `isReal()` |
    `Scalar` | `mul​(Scalar it)` |
    `Scalar` | `mul​(Scalar it, double scale)` |
    `void` | `set​(double[] vals)` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### val

          public double[] val

  - ### Constructor Detail

    - #### Scalar

          public Scalar​(double v0,
                        double v1,
                        double v2,
                        double v3)

    - #### Scalar

          public Scalar​(double v0,
                        double v1,
                        double v2)

    - #### Scalar

          public Scalar​(double v0,
                        double v1)

    - #### Scalar

          public Scalar​(double v0)

    - #### Scalar

          public Scalar​(double[] vals)

  - ### Method Detail

    - #### set

          public void set​(double[] vals)

    - #### all

          public static Scalar all​(double v)

    - #### clone

          public Scalar clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### mul

          public Scalar mul​(Scalar it,
                            double scale)

    - #### mul

          public Scalar mul​(Scalar it)

    - #### conj

          public Scalar conj()

    - #### isReal

          public boolean isReal()

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`